Subject: [bug#70923] [PATCH v3 00/11] Add (guix import utils) procedures.

From: Herman Rimm <[email-masked]>
Date: Tue, 24 Sep 2024 22:13:06 +0200

Hello,

The fix for #72939 reverts the commit for which I had provided a
modified version in the first revision of this series.  It does not
introduce the bug in #72939.  Also, revision v2 of this series would
have fixed that bug.  I assume that unfortunately, once again, I had not
CC'ed any maintainers the second revision.  Now, I have created a third
revision, two patches fewer than the first.  One commit had adjusted
tests/go.scm to the new-style inputs, which a remaining commit from the
same series as the reverted commit does instead.  The other commit fixed
tests/elm.scm, but now 7979001c58fcadd98bae09781c495f0a462d6e04 does
that instead.  Hopefully this revision does get reviewed, or (re)starts
some discussion.

Cheers,
Herman

Herman Rimm (9):
  build-system: cargo: Accept unlabeled #:cargo-inputs.
  import: utils: Add 'maybe-upstream-inputs' procedure.
  import: pypi: Use 'maybe-list-field' procedure.
  import: elpa: Use maybe-propagated-inputs procedure.
  import: hackage: Use 'maybe-list-field' procedure.
  import: cran: Use 'maybe-list-field' procedure.
  import: cpan: Use 'maybe-upstream-inputs' procedure.
  import: egg: Use maybe-*inputs procedures.
  import: hexpm: Use (guix import utils) 'maybe-inputs' procedure.

Sarah Morgensen (2):
  import: utils: Emit new-style package inputs.
  import: crate: Emit new-style package inputs.

 guix/build-system/cargo.scm |  12 ++--
 guix/import/cpan.scm        |  23 +++----
 guix/import/cran.scm        |  36 +++++------
 guix/import/crate.scm       |  51 ++++++----------
 guix/import/egg.scm         |  39 ++++--------
 guix/import/elpa.scm        |   9 +--
 guix/import/hackage.scm     |  39 ++++--------
 guix/import/hexpm.scm       |  29 +++------
 guix/import/pypi.scm        |  21 ++-----
 guix/import/utils.scm       |  61 +++++++++++-------
 tests/crate.scm             | 119 +++++++++++++++---------------------
 tests/hackage.scm           |  13 ++--
 12 files changed, 180 insertions(+), 272 deletions(-)

base-commit: 3ac69c1a757430d6dfdd37eb948ba1d6967967cc
-- 
2.45.2